Reinforcement BentShapeRebar/ru: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
(26 intermediate revisions by 6 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{GuiCommandAddon/ru|Name=Arch Rebar BentShape|Name/ru=Arch Rebar BentShape|Workbenches=[[Arch Module/ru|Arch]]|Addon=Reinforcement|MenuLocation=Arch → Rebar tools|Shortcut=None|SeeAlso=[[Arch_Rebar_Stirrup/ru|Stirrup]]}}
<div class="mw-translate-fuzzy">
{{Docnav/ru
|[[Arch_Rebar_LShape/ru|LShape Rebar]]
|[[Arch_Rebar_Stirrup/ru|Stirrup Rebar]]
|[[Arch_Workbench/ru|Архитектурный верстак "Arch"]]
|IconL=Arch_Rebar_LShape.svg
|IconR=Arch_Rebar_Stirrup.svg
|IconC=Workbench_Arch.svg
}}
</div>

{{GuiCommand
|Name=Arch Rebar BentShape
|MenuLocation=Arch → Rebar tools → Bent-Shape Rebar<br>3D/BIM → Reinforcement tools → Bent-Shape Rebar
|Workbenches=[[Arch_Workbench|Arch]], [[BIM_Workbench|BIM]]
|Version=0.17
|SeeAlso=[[Reinforcement_Workbench|Reinforcement]], [[Arch_Rebar|Arch Rebar]], [[Arch_Rebar_Stirrup|Arch Rebar Stirrup]]
}}


==Описание==
==Описание==


<div class="mw-translate-fuzzy">
Инструмент {{KEY | [[Image: Arch_Rebar_BentShape.png | 16px]] Bent Shape Rebar}} позволяет пользователю создавать в структурном элементе арматурный стержень с изогнутой формой.
Инструмент {{KEY | [[Image: Arch_Rebar_BentShape.png | 16px]] Bent Shape Rebar}} позволяет пользователю создавать в структурном элементе арматурный стержень с изогнутой формой.
</div>


The [[Arch_Rebar_BentShape|BentShape Rebar]] tool is also integrated into [[BIM_Workbench|BIM Workbench]].

This command is part of the [[Reinforcement Workbench|Reinforcement Workbench]], an [[External workbenches|external workbench]] that can be installed with the [[Image:Std_AddonMgr.svg|24px]] [[Std_AddonMgr|Addon Manager]] via the {{MenuCommand|Tools → Addon manager → Reinforcement}} menu.

[[Image:Arch_Rebar_BentShape_example.png|400px]]
<div class="mw-translate-fuzzy">
[[Image:BentShapeRebar.png|800px]]
[[Image:BentShapeRebar.png|800px]]
</div>


==Применение==
==Использование==


# Select any face of a previously created {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch Structure|Arch Structure]]}} object.
# Create a [[Arch Structure|structure]] element
# Then select {{Button|[[Image:Arch_Rebar_BentShape.svg|16px]] [[Arch Rebar BentShape|BentShape Rebar]]}} from the rebar tools.
# Select any face of the structure
# A [[task panel]] will pop-out on the left side of the screen as shown below.
# Then select {{KEY|[[Image:Arch_Rebar_BentShape.png|16px]] Bent Shape Rebar}} from the rebar tools
# Select the desired orientation.
# A task panel will pop-out on the left side of the screen as shown below [[Image:BentShapeDialog.png|250px]]
# Populate the inputs like 'Left Cover', Right Cover, Top Cover, 'Bottom Cover', 'Front Cover', 'Bent Angle', 'Bent Factor', 'Rounding' and 'Diameter' of the rebar.
# Select the desired orientation
# Select the mode of distribution either 'Amount' or 'Spacing'.
# Give the inputs like front cover, left cover, right cover, bottom cover, top cover, anchor length, bent angle, rounding and diameter of the rebar
#* If 'Spacing' is selected, a user can also opt for [[Custom_Spacing|custom spacing]].
# Select the mode of distribution either amount or spacing
# {{Button|Pick Selected Face}} is used to verify or change the face for rebar distribution.
# If spacing is selected, a user can also opt for [[Custom_Spacing|custom spacing]]
# Click {{Button|OK}} or {{Button|Apply}} to generate the rebars.
# Pick selected face is used to verify or change the face for rebar distribution
# Click {{KEY|OK}} or {{KEY|Apply}} to generate the rebars
# Click {{Button|Cancel}} to exit the task panel.
# Click {{KEY|Cancel}} to exit the task panel


:[[Image:BentShapeDialog.png|250px]]
==Properties==
{{Caption|Taskview panel for the Arch Rebar BentShape tool}}

==Свойства==


* {{PropertyData|Orientation}}: It decides the orientation of the rebar (like a bottom, top, right and left).
* {{PropertyData|Orientation}}: It decides the orientation of the rebar (like a bottom, top, right and left).
Line 35: Line 64:
* {{PropertyData|Spacing}}: The distance between the axes of each bar.
* {{PropertyData|Spacing}}: The distance between the axes of each bar.


<div class="mw-translate-fuzzy">
==Scripting==
== Скриптование ==

</div>
The {{KEY|[[Image:Arch_Rebar_BentShape.png|16px]] Bent Shape Rebar}} tool can by used in [[macros]] and from the python console by using the following function:


<div class="mw-translate-fuzzy">
Инструмент {{KEY|[[Image:Arch_Rebar_BentShape.png|16px]] Bent Shape Rebar}} можно использовать в [[macros]] и на консоли python с помощью следующей функции:
</div>
{{Code|code=
{{Code|code=
Rebar = makeBentShapeRebar(f_cover, b_cover, l_cover, r_cover,
makeBentShapeRebar(FrontCover, BottomCover, LeftCover, RightCover, Diameter, TopCover, BentLength, BentAngle, Rounding, AmountSpacingCheck, AmountSpacingValue, Orientation, Structure, Facename)
diameter, t_cover, bentLength, bentAngle, rounding, amount_spacing_check, amount_spacing_value, orientation="Bottom",
structure=None, facename=None)
}}
}}

* The Bent Shape Rebar have four different orientations:
* Creates a {{incode|Rebar}} object from the given {{incode|structure}}, which is an [[Arch Structure|Arch Structure]], and {{incode|facename}}, which is a face of that structure.
** Bottom
** If no {{incode|structure}} nor {{incode|facename}} are given, it will take the user selected face as input.
** Top
* {{incode|f_cover}}, {{incode|b_cover}}, {{incode|l_cover}}, {{incode|r_cover}}, and {{incode|t_cover}} are inner offset distances for the rebar elements with respect to the faces of the structure. They are respectively the front, bottom, left, right, and top offsets.
** Left
* {{incode|diameter}} is the diameter of the reinforcement bars inside the structure.
** Right
* {{incode|rounding}} is the parameter that determines the bending radius of the center reinforcement bars.
* Adds a Bent Shape reinforcing bar object to the given structural object.
* {{incode|bentLength}} and {{incode|bentAngle}} define the length of the tip of the reinforcement bars, and the bending angle from the center bars.
* If no Structure and Facename is given, it will take user selected face as input.
* {{incode|amount_spacing_check}} if it is {{incode|True}} it will create as many reinforcement bars as given by {{incode|amount_spacing_value}}; if it is {{incode|False}} it will create reinforcement bars separated by the numerical value of {{incode|amount_spacing_value}}.
* Here CoverAlong argument is having type tuple.
* {{incode|amount_spacing_value}} specifies the number of reinforcement bars, or the value of the separation between them, depending on {{incode|amount_spacing_check}}.
* Returns the new Rebar object.
* {{incode|orientation}} specifies the orientation of the rebar; it can be {{incode|"Bottom"}}, {{incode|"Top"}}, {{incode|"Left"}}, or {{incode|"Right"}}.
Example:

Creating Bent Shape rebar.
=== Пример ===
{{Code|code=
{{Code|code=
import Arch, BentShapeRebar
import FreeCAD, Arch, BentShapeRebar

structure = Arch.makeStructure(length=1000.0, width=1000.0, height=100.0)
Structure = Arch.makeStructure(length=1000, width=1000, height=100)
structure.ViewObject.Transparency = 80
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()
FreeCAD.ActiveDocument.recompute()

rebar = BentShapeRebar.makeBentShapeRebar(20, 20, 20, 20, 8, 20, 100, 135, 2, True, 10, "Bottom", structure, "Face1")
Rebar = BentShapeRebar.makeBentShapeRebar(50, 20, 20, 20,
8, 40, 100, 135, 2, True, 4, "Bottom", Structure, "Face4")
Rebar.ViewObject.ShapeColor = (0.9, 0.0, 0.0)

Rebar2 = BentShapeRebar.makeBentShapeRebar(50, 40, 20, 20,
8, 20, 100, 135, 2, True, 4, "Bottom", Structure, "Face6")
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)
}}
}}

Changing properties of Bent Shape rebar.
=== Edition of the rebar ===

You can change the properties of the rebar with the following function

{{Code|code=
editBentShapeRebar(Rebar, f_cover, b_cover, l_cover, r_cover,
diameter, t_cover, bentLength, bentAngle, rounding, amount_spacing_check, amount_spacing_value, orientation,
structure=None, facename=None)
}}

* {{incode|Rebar}} is a previously created {{incode|BentShapeRebar}} object.
* The other parameters are the same as required by the {{incode|makeBentShapeRebar()}} function.
* {{incode|structure}} and {{incode|facename}} may be omitted so that the rebar stays in the original structure.

{{Code|code=
{{Code|code=
import BentShapeRebar
import BentShapeRebar

BentShapeRebar.editBentShapeRebar(rebar, 50, 50, 50, 50, 12, 20, 100, 135, 2, True, 10, "Top")
BentShapeRebar.editBentShapeRebar(Rebar, 50, 20, 20, 20,
12, 20, 100, 155, 2, True, 6, "Top")

BentShapeRebar.editBentShapeRebar(Rebar2, 50, 35, 20, 20,
12, 35, 100, 155, 2, True, 6, "Top")
}}


<div class="mw-translate-fuzzy">
{{Docnav/ru
|[[Arch_Rebar_LShape/ru|LShape Rebar]]
|[[Arch_Rebar_Stirrup/ru|Stirrup Rebar]]
|[[Arch_Workbench/ru|Архитектурный верстак "Arch"]]
|IconL=Arch_Rebar_LShape.svg
|IconR=Arch_Rebar_Stirrup.svg
|IconC=Workbench_Arch.svg
}}
}}
</div>


{{Arch Tools navi{{#translation:}}}}
[[Category:Arch]]
{{Userdocnavi{{#translation:}}}}
[[Category:Reinforcement{{#translation:}}]]

Revision as of 11:10, 9 March 2022

Arch Rebar BentShape

Menu location
Arch → Rebar tools → Bent-Shape Rebar
3D/BIM → Reinforcement tools → Bent-Shape Rebar
Workbenches
Arch, BIM
Default shortcut
None
Introduced in version
0.17
See also
Reinforcement, Arch Rebar, Arch Rebar Stirrup

Описание

Инструмент Bent Shape Rebar позволяет пользователю создавать в структурном элементе арматурный стержень с изогнутой формой.

The BentShape Rebar tool is also integrated into BIM Workbench.

This command is part of the Reinforcement Workbench, an external workbench that can be installed with the Addon Manager via the Tools → Addon manager → Reinforcement menu.

Применение

  1. Select any face of a previously created Arch Structure object.
  2. Then select BentShape Rebar from the rebar tools.
  3. A task panel will pop-out on the left side of the screen as shown below.
  4. Select the desired orientation.
  5. Populate the inputs like 'Left Cover', Right Cover, Top Cover, 'Bottom Cover', 'Front Cover', 'Bent Angle', 'Bent Factor', 'Rounding' and 'Diameter' of the rebar.
  6. Select the mode of distribution either 'Amount' or 'Spacing'.
  7. Pick Selected Face is used to verify or change the face for rebar distribution.
  8. Click OK or Apply to generate the rebars.
  9. Click Cancel to exit the task panel.

Taskview panel for the Arch Rebar BentShape tool

Свойства

  • ДанныеOrientation: It decides the orientation of the rebar (like a bottom, top, right and left).
  • ДанныеFront Cover: The distance between rebar and selected face.
  • ДанныеLeft Cover: The distance between the left end of the rebar to the left face of the structure.
  • ДанныеRight Cover: The distance between the right end of the rebar to right face of the structure.
  • ДанныеBottom Cover: The distance between rebar from the bottom face of the structure.
  • ДанныеTop Cover: The distance between rebar from the top face of the structure.
  • ДанныеAnchor Length: It is the arm's length of bent shape rebar.
  • ДанныеBent Angle: It decides angle in bent shape rebar.
  • ДанныеAmount: The amount of rebars.
  • ДанныеSpacing: The distance between the axes of each bar.

Скриптование

Инструмент Bent Shape Rebar можно использовать в macros и на консоли python с помощью следующей функции:

Rebar = makeBentShapeRebar(f_cover, b_cover, l_cover, r_cover,
                           diameter, t_cover, bentLength, bentAngle, rounding, amount_spacing_check, amount_spacing_value, orientation="Bottom",
                           structure=None, facename=None)
  • Creates a Rebar object from the given structure, which is an Arch Structure, and facename, which is a face of that structure.
    • If no structure nor facename are given, it will take the user selected face as input.
  • f_cover, b_cover, l_cover, r_cover, and t_cover are inner offset distances for the rebar elements with respect to the faces of the structure. They are respectively the front, bottom, left, right, and top offsets.
  • diameter is the diameter of the reinforcement bars inside the structure.
  • rounding is the parameter that determines the bending radius of the center reinforcement bars.
  • bentLength and bentAngle define the length of the tip of the reinforcement bars, and the bending angle from the center bars.
  • amount_spacing_check if it is True it will create as many reinforcement bars as given by amount_spacing_value; if it is False it will create reinforcement bars separated by the numerical value of amount_spacing_value.
  • amount_spacing_value specifies the number of reinforcement bars, or the value of the separation between them, depending on amount_spacing_check.
  • orientation specifies the orientation of the rebar; it can be "Bottom", "Top", "Left", or "Right".

Пример

import FreeCAD, Arch, BentShapeRebar

Structure = Arch.makeStructure(length=1000, width=1000, height=100)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = BentShapeRebar.makeBentShapeRebar(50, 20, 20, 20,
                                          8, 40, 100, 135, 2, True, 4, "Bottom", Structure, "Face4")
Rebar.ViewObject.ShapeColor = (0.9, 0.0, 0.0)

Rebar2 = BentShapeRebar.makeBentShapeRebar(50, 40, 20, 20,
                                           8, 20, 100, 135, 2, True, 4, "Bottom", Structure, "Face6")
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)

Edition of the rebar

You can change the properties of the rebar with the following function

editBentShapeRebar(Rebar, f_cover, b_cover, l_cover, r_cover,
                   diameter, t_cover, bentLength, bentAngle, rounding, amount_spacing_check, amount_spacing_value, orientation,
                   structure=None, facename=None)
  • Rebar is a previously created BentShapeRebar object.
  • The other parameters are the same as required by the makeBentShapeRebar() function.
  • structure and facename may be omitted so that the rebar stays in the original structure.
import BentShapeRebar

BentShapeRebar.editBentShapeRebar(Rebar, 50, 20, 20, 20,
                                  12, 20, 100, 155, 2, True, 6, "Top")

BentShapeRebar.editBentShapeRebar(Rebar2, 50, 35, 20, 20,
                                  12, 35, 100, 155, 2, True, 6, "Top")